Subject: bug#42827: closed (Re: bug#42827: 27.1; ~/Emacs file not read at init)

From: [email-masked] (GNU bug Tracking System)
Date: Mon, 17 Aug 2020 04:47:01 +0000

Your bug report

#42827: 27.1; ~/Emacs file not read at init

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
42827: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=42827
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#42827: 27.1; ~/Emacs file not read at init
From: Paul Eggert <[email-masked]>
To: Robert Pluim <[email-masked]>
Cc: Tomasz Kowalski <[email-masked]>, [email-masked], Andreas Schwab <[email-masked]>
Date: Sun, 16 Aug 2020 21:45:54 -0700
List-Id: <debbugs-submit.debbugs.gnu.org>

> If someone can confirm that this fixes it

I confirmed that your patch fixes the bug that I unfortunately introduced, and I 
installed your patch to emacs-27 in your name. Thanks for the patch, and thank 
you too Tomasz and Andreas for the report and diagnosis.

Subject: 27.1; ~/Emacs file not read at init
From: Tomasz Kowalski <[email-masked]>
To: "[email-masked]" <[email-masked]>
Date: Wed, 12 Aug 2020 12:05:02 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi there,

Emacs ignores ~/Emacs file at startup. Below are the relevant lines 
from strace:
--------------------------------------------
openat(AT_FDCWD, "/home/tomaszen_AU.utf8/Emacs", O_RDONLY) = -1 ENOENT
(No such file or directory)
openat(AT_FDCWD, "/home/tomaszEmacs", O_RDONLY) = -1 ENOENT (No such
file or directory)
uname({sysname="Linux", nodename="schooner", ...}) = 0
--------------------------------------------
"/home/tomaszEmacs" should clearly be "/home/tomasz/Emacs" and
"/home/tomaszen_AU.utf8/Emacs" should
be "/home/tomasz/en_AU.utf8/Emacs"

Forgotten / somewhere? 

Best regards,

Tomasz
-- 
Associate Professor, Dept. of Mathematics & Statistics, 
La Trobe University, Melbourne, VIC3086, Australia. 
Phone: (+61) 3 9479 2595,
Web (personal): tomasz-kowalski.github.io